首页 新闻 搜索 专区 学院

我的.netcore sdk环境已经部署好了,运行程序报错Cannot get required symbol ECDSA_sign from libssl Aborted

0
悬赏园豆:5 [待解决问题]

uname -a
Linux localhost.localdomain 4.20.0-1.nk.3.x86_64 #1 SMP Fri Jan 25 08:58:11 CST 2019 x86_64 x86_64 x86_64 GNU/Linux

dotnet --info
.NET Core SDK (reflecting any global.json):
Version: 3.1.300
Commit: b2475c1295

Runtime Environment:
OS Name: neokylin
OS Version: 6.0
OS Platform: Linux
RID: linux-x64
Base Path: /usr/share/dotnet/sdk/3.1.300/

Host (useful for support):
Version: 3.1.4
Commit: 0090613580

.NET Core SDKs installed:
3.0.103 [/usr/share/dotnet/sdk]
3.1.300 [/usr/share/dotnet/sdk]

.NET Core runtimes installed:
Microsoft.AspNetCore.App 3.0.3 [/usr/share/dotnet/shared/Microsoft.AspNetCore.App]
Microsoft.AspNetCore.App 3.1.4 [/usr/share/dotnet/shared/Microsoft.AspNetCore.App]
Microsoft.NETCore.App 3.0.3 [/usr/share/dotnet/shared/Microsoft.NETCore.App]
Microsoft.NETCore.App 3.1.4 [/usr/share/dotnet/shared/Microsoft.NETCore.App]

dotnet demo.dll
Cannot get required symbol ECDSA_sign from libssl Aborted

斌言的主页 斌言 | 初学一级 | 园豆:191
提问于:2020-06-08 15:28
< >
分享
所有回答(1)
0

运行下面的命令再试试看。

emerge --unmerge openssl
emerge openssl

如果第一个命令超时的话,可以下载下面的安装包,再试试:

openssl-1.0.2h.tar.gz
爱编程的大叔 | 园豆:30753 (高人七级) | 2020-06-08 16:19

我的机器上 emerge 这个命令找不到。

支持(0) 反对(0) 斌言 | 园豆:191 (初学一级) | 2020-06-10 22:22

@斌言: 原来是大名鼎鼎的麒麟国产原创OS啊,没用过。

支持(0) 反对(0) 爱编程的大叔 | 园豆:30753 (高人七级) | 2020-06-10 22:49
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册